diagnostics {BAS} | R Documentation

## BAS MCMC diagnostic plot

### Description

Function to help assess convergence of MCMC sampling for bas objects.

### Usage

    diagnostics(obj, type = c("pip", "model"), ...)

### Arguments

`obj` | an object created by bas.lm or bas.glm
`type` | type of diagnostic plot. If "pip" the marginal inclusion probabilities are used, while if "model", plot posterior model probabilities
`...` | additional graphics parameters to be passed to plot

### Details

BAS calculates posterior model probabilities in two ways when method="MCMC". The first is using the relative Monte Carlo frequencies of sampled models. The second is to renormalize the marginal likelihood times prior probabilities over the sampled models. If the Markov chain has converged, these two quantities should be the same and fall on a 1-1 line. If not, running longer may be required. If the chain has not converged, the Monte Carlo frequencies may have less bias, although may exhibit more variability on repeated runs.

### Value

a plot with of the marginal inclusion probabilities (pip) estimated by MCMC and renormalized marginal likelihoods times prior probabilities or model probabilities.

### Author(s)

Merlise Clyde (clyde@duke.edu)

### See Also

Other bas methods: `BAS`, `bas.lm`, `coef.bas`, `confint.coef.bas`, `confint.pred.bas`, `fitted.bas`, `force.heredity.bas`, `image.bas`, `predict.basglm`, `predict.bas`, `summary.bas`, `update.bas`, `variable.names.pred.bas`

### Examples

    library(MASS)
    data(UScrime)
    UScrime[, -2] <- log(UScrime[, -2])
    crime.ZS <- bas.lm(y ~ .,
      data = UScrime,
      prior = "ZS-null",
      modelprior = uniform(),
      method = "MCMC",
      MCMC.iter = 1000
    ) # short run for the example
    diagnostics(crime.ZS)

[Package BAS version 1.5.3 Index]